package models

import (
	"time"
)

type HappyOrchardUserSeedRecord struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid       int       `json:"uid" xorm:"INT(11)"`
	SeedId    int       `json:"seed_id" xorm:"default 0 INT(11)"`
	SeedName  string    `json:"seed_name" xorm:"default '' VARCHAR(255)"`
	WaterNums int       `json:"water_nums" xorm:"default 0 INT(11)"`
	State     int       `json:"state" xorm:"default 0 INT(11)"`
	Time      time.Time `json:"time" xorm:"DATETIME"`
	ChangeNum int       `json:"change_num" xorm:"not null default 0 comment('更换种子的次数') INT(11)"`
}
